Package org.apache.lucene.internal.hppc

# Class IntIntHashMap.KeysContainer

java.lang.Object
org.apache.lucene.internal.hppc.IntIntHashMap.IntContainer
org.apache.lucene.internal.hppc.IntIntHashMap.KeysContainer

All Implemented Interfaces:
  `Iterable<IntCursor>`

Enclosing class:
  `IntIntHashMap`

public final class IntIntHashMap.KeysContainer extends IntIntHashMap.IntContainer
A view of the keys inside this hash map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeysContainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<IntCursor>`
  `iterator()`

  ### Methods inherited from class org.apache.lucene.internal.hppc.IntIntHashMap.IntContainer

  `size, toArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### KeysContainer

    public KeysContainer()

- ## Method Details

  - ### iterator

    public Iterator<IntCursor> iterator()